# $Revision: 1.26.4.4 $, $Date: 2003/08/14 07:41:26 $
Summary:	ATK - Accessibility Toolkit
Summary(pl):	ATK - biblioteka uatwiajca niepenosprawnym korzystanie z komputerw
Summary(pt_BR):	Interfaces para suporte a acessibilidade
Name:		atk
Version:	1.0.3
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v2.0/%{name}-%{version}.tar.bz2
# Source0-md5:	9041396017f8207b8aa2bece27eb5ebb
Patch0:		%{name}-gtkdoc.patch
Patch1:		%{name}-am16.patch
URL:		http://developer.gnome.org/projects/gap/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	diffutils
BuildRequires:	glib2-devel >= 2.0.6
BuildRequires:	gtk-doc >= 0.9
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libatk1.0_0

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_gtkdocdir	%{_defaultdocdir}/gtk-doc/html

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
as tools such as screen readers and magnifiers, and alternative input
devices.

%description -l pl
Biblioteka ATK udostpnia zestaw interfejsw uatwiajcych
niepenosprawnym korzystanie z aplikacji i poszczeglnych elementw
graficznego interfejsu uytkownika. Poprzez wykorzystanie interfejsw
ATK, aplikacja lub element interfejsu moe by uywany z takimi
narzdziami jak czytniki ekranu i narzdzia powikszajce oraz
alternatywnymi urzdzeniami wejciowymi.

%description -l pt_BR
A biblioteca ATK prov um conjunto de interfaces para adicionar
suporte a acessibilidade para aplicaes e interfaces grficas.
Suportando a interface ATK, uma aplicao ou interface grfica pode
ser utilizada como ferramentas de leitura e aumento de tela,
dispositivos de entrada alternativos, etc.

%package devel
Summary:	ATK - header and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja
Summary(pt_BR):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel
Requires:	gtk-doc-common
Obsoletes:	libatk1.0_0-devel

%description devel
ATK - header and development documentation.

%description devel -l pl
ATK - pliki nagwkowe i dokumentacja programisty.

%description devel -l pt_BR
Interfaces para suporte a acessibilidade.

%package static
Summary:	ATK static library
Summary(pl):	Biblioteka statyczna ATK
Summary(pt_BR):	Interfaces para suporte a acessibilidade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
ATK static library.

%description static -l pl
Biblioteka statyczna ATK.

%description static -l pt_BR
Interfaces para suporte a acessibilidade.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static \
	--enable-shared \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	HTML_DIR=%{_gtkdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liba*.so
%{_libdir}/liba*.la
%{_includedir}/atk*
%{_pkgconfigdir}/atk*
%{_gtkdocdir}/atk

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/liba*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atk.spec,v $
Revision 1.26.4.4  2003/08/14 07:41:26  trojan
- cosmetics

Revision 1.26.4.3  2003/07/21 11:00:23  trojan
- removed {,B}R: pango-devel

Revision 1.26.4.2  2003/07/21 08:06:24  trojan
- added source md5 sum
- added gtkdoc and am16 patches
- BR: automake, autoconf
- added ac/am/lt regeneration
- fixed %%files (*.la not need 755)
- release 2

Revision 1.26.4.1  2003/07/11 12:00:28  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.26  2002/08/14 23:53:27  michuz
- updated to 1.0.3

Revision 1.25  2002/07/02 12:46:27  ankry
- Requires gtk-doc-common for -devel subpackage
- release 4

Revision 1.24  2002/06/24 21:25:26  qboosh
- enabled gtk-doc, install docs in proper dir; release 3

Revision 1.23  2002/05/30 13:01:37  kloczek
- release 2.

Revision 1.22  2002/05/30 12:59:41  qboosh
- Groups changed to X11/*, new %%doc, longer pl description

Revision 1.21  2002/05/28 06:19:30  kloczek
- updated to 1.0.2.

Revision 1.20  2002/04/25 15:49:08  arturs
fixed a small typo

Revision 1.19  2002/04/22 05:49:53  kloczek
- release 3: merge translations from Conectiva.

Revision 1.18  2002/04/13 09:50:13  kloczek
- updated to 1.0.1.

Revision 1.17  2002/03/11 11:28:21  wrobell
- fixed polish description and summary

Revision 1.16  2002/03/10 13:54:38  kloczek
- updated to final 1.0.0 and tebuild against glib2 2.0.0 and pango 1.0.0.

Revision 1.15  2002/03/07 11:11:17  misiek
- update to 1.0 rc1

Revision 1.14  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/19 03:21:01  kloczek
- rebuild against glib2 1.3.14.

Revision 1.12  2002/02/18 23:07:32  misiek
- updated to 0.12

Revision 1.11  2002/02/04 04:14:37  kloczek
- updated to 0.10 and rebuild against glib2 1.3.13.

Revision 1.10  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/14 11:15:07  kloczek
- release 2: added missing %%{name}{,-devel} = %%{version} to Requires
  rules in devel and static subpackages.

Revision 1.8  2002/01/13 12:42:49  kloczek
- libatk8{,-devel} added to Obsoletes for allow upgrade from MDK,
- added glib2-devel to Requires list in devel subpackage.

Revision 1.7  2002/01/12 21:38:37  blues
- glib2 >= 1.3.12 required

Revision 1.6  2002/01/12 21:08:21  michuz
- updated to 0.8

Revision 1.5  2001/10/31 13:59:19  qboosh
- added URL, fixed typos, added remaining pl translations

Revision 1.4  2001/10/29 20:18:18  misiek
- fix rights on atk include files

Revision 1.3  2001/10/29 19:33:58  misiek
- updated to 0.6; translations are missing

Revision 1.2  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.1  2001/06/13 09:42:21  cieciwa
-initial spec.

STB
